Daemon Power

The NetBSD Packages Collection: databases/ruby-dm-sweatshop

Brief description of the package:
DataMapper plugin for building pseudo random models

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/datamapper/dm-sweatshop.

Please note that this package has a mit license.

The package is located in the "databases/ruby-dm-sweatshop" directory. The current source version of the package is "ruby26-dm-sweatshop-1.2.0". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for databases/ruby-dm-sweatshop :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ruby26-dm-core>=1.2.0<1.3 ruby26-addressable>=2.3<3 ruby26-public_suffix>=2.0.2 ruby26-base>=2.6.6 libyaml>=0.1.1 cwrappers>=20150314 libyaml>=0.1.4 ruby26-randexp>=0.1.5<0.2 ruby26-parsetree>=3.0.7<3.1 ruby26-inline>=3.7.0 ruby26-ZenTest>=4.3<5 ruby26-sexp-processor>=3.0.0 .

This package requires the following package(s) to run: ruby26-dm-core>=1.2.0<1.3 ruby26-addressable>=2.3<3 ruby26-public_suffix>=2.0.2 ruby26-base>=2.6.6 libyaml>=0.1.1 libyaml>=0.1.4 ruby26-randexp>=0.1.5<0.2 ruby26-parsetree>=3.0.7<3.1 ruby26-inline>=3.7.0 ruby26-ZenTest>=4.3<5 ruby26-sexp-processor>=3.0.0 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
aarch64:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
aarch64:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
aarch64:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
aarch64:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
aarch64:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
alpha:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
alpha:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv6hf:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv6hf:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv6hf:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv6hf:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv6hf:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv6hf:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv7hf:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
earmv7hf:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
earmv7hf:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
earmv7hf:ruby24-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
earmv7hf:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
earmv7hf:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
earmv7hf:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
earmv7hf:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
earmv7hf:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
earmv7hf:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
earmv7hf:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv7hf:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv7hf:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv7hf:ruby24-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv7hf:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv7hf:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv7hf:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv7hf:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv7hf:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
earmv7hf:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
i386:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
i386:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
i386:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
i386:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
i386:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
i386:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
i386:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
i386:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
i386:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
i386:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
i386:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
i386:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
powerpc:ruby24-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
powerpc:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
powerpc:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
powerpc:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
powerpc:ruby24-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
powerpc:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
powerpc:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
powerpc:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
powerpc:ruby24-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
powerpc:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
powerpc:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
powerpc:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
sparc64:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
sparc64:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
sparc64:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
x86_64:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
x86_64:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
x86_64:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
x86_64:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
x86_64:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
x86_64:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
x86_64:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
x86_64:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
x86_64:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
x86_64:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
x86_64:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
x86_64:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
x86_64:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
x86_64:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
x86_64:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 8.0)
x86_64:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
x86_64:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
x86_64:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
x86_64:ruby25-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
x86_64:ruby26-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)
x86_64:ruby27-dm-sweatshop-1.2.0.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]